/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef EIEXT_H
#define EIEXT_H

/* these are the term type indicators used in
 * the external (distribution) format
 */

#define ERL_SMALL_INTEGER_EXT 'a'
#define ERL_INTEGER_EXT       'b'
#define ERL_FLOAT_EXT         'c'
#define ERL_ATOM_EXT          'd'
#define ERL_REFERENCE_EXT     'e'
#define ERL_PORT_EXT          'f'
#define ERL_PID_EXT           'g'
#define ERL_SMALL_TUPLE_EXT   'h'
#define ERL_LARGE_TUPLE_EXT   'i'
#define ERL_NIL_EXT           'j'
#define ERL_STRING_EXT        'k'
#define ERL_LIST_EXT          'l'
#define ERL_BINARY_EXT        'm'
#define ERL_SMALL_BIG_EXT     'n'
#define ERL_LARGE_BIG_EXT     'o'
#define ERL_PASS_THROUGH      'p'
 
#define ERL_NEW_CACHE         'N' /* c nodes dont know these two */
#define ERL_CACHED_ATOM       'C'

#define ERL_VERSION_MAGIC 131   /* 130 in erlang 4.2 */

/* from erl_eterm.h */
#define ERL_MAX ((1 << 27)-1)
#define ERL_MIN -(1 << 27)


/* these are the control message types */
#define ERL_LINK          1
#define ERL_SEND          2
#define ERL_EXIT          3
#define ERL_UNLINK        4
#define ERL_NODE_LINK     5
#define ERL_REG_SEND      6
#define ERL_GROUP_LEADER  7
#define ERL_EXIT2         8

/* new ones for tracing, from Kenneth */
#define ERL_SEND_TT      12
#define ERL_EXIT_TT      13
#define ERL_REG_SEND_TT  16
#define ERL_EXIT2_TT     18

#endif
